Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.compiler.wrapper.dista.FS
Class FeatureSelectionWrapper

    java.lang.Object
      edu.udo.cs.miningmart.compiler.wrapper.dista.Wrapper
          edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C45Wrapper
              edu.udo.cs.miningmart.compiler.wrapper.dista.FS.FeatureSelectionWrapper

Direct Known Subclasses:
  GeneticFeatureSelectionWrapper, SGFeatureSelectionWrapper, StatisticalFeatureSelectionWrapper

    public abstract class FeatureSelectionWrapper

extends C45Wrapper

Superclass for feature selection wrappers.

Version:
  $Id: FeatureSelectionWrapper.java,v 1.5 2006/09/27 15:00:04 euler Exp $
Author:
  Alessandro Serra, Timm Euler

Field Summary
`java.util.Vector` | `m_feature_rejected`
`java.util.Vector` | `m_feature_selected`

Fields inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C45Wrapper
`m_data, m_file_name, m_names`

Fields inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.Wrapper
`m_do_clean, m_log, m_md, m_ml_home, m_os_name, m_properties, m_result_name, m_sample_size, m4db`

Constructor Summary
`FeatureSelectionWrapper(Step step, ExecutableOperator exOp)`

Method Summary
`protected void` | `importResult()`
`protected void` | `saveResult()`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C45Wrapper
`checkMetaData, clean, exportData, exportNames, exportTable, exportValue, getSampleTableName, getValues, getValues, makeQuery, setSampleTableName`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.Wrapper
`callScript, callTool, getArtificalColumnName, getExecutableOperator, getM4Db, getSampleRatio, getStep, run, setConnection, setMetaData, setProperties, setResultName, setSampleSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_feature_selected

    public java.util.Vector m_feature_selected

### m_feature_rejected

    public java.util.Vector m_feature_rejected

Constructor Detail

### FeatureSelectionWrapper

    public FeatureSelectionWrapper(Step step,
                                   ExecutableOperator exOp)
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### importResult

    protected void importResult()
                         throws java.lang.Exception

  Specified by:
    `importResult` in class `Wrapper`
  Throws:
    `java.lang.Exception`

### saveResult

    protected void saveResult()
                       throws java.lang.Exception

  Specified by:
    `saveResult` in class `Wrapper`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005